Bug 241380 - [PATCH] math/jakarta-commons-math3 update and rename to apache-commons-math
Summary: [PATCH] math/jakarta-commons-math3 update and rename to apache-commons-math
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-10-20 20:11 UTC by Pedro F. Giffuni
Modified: 2020-01-24 19:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
Update to version 3.6.1 and rename (4.43 KB, patch)
2019-10-20 20:11 UTC, Pedro F. Giffuni
no flags Details | Diff
svn patch: Update, cleanup obsolete changes and move (14.97 KB, patch)
2020-01-09 04:16 UTC, Pedro F. Giffuni
pfg: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2019-10-20 20:11:30 UTC
Created attachment 208468 [details]
Update to version 3.6.1 and rename

I looked at updating the port to the latest version: the fetch path is incorrect unless one sets the name to commons-math (without the 3) so I also took the chance to rename the port to apache- instead of jakarta-.

Please remember to move the port accordingly.

I also had to change JARFILE, not sure how to make the change cleaner to drop the minor number with a regex.
Comment 1 Pedro F. Giffuni freebsd_committer 2020-01-09 04:16:36 UTC
Created attachment 210554 [details]
svn patch: Update, cleanup obsolete changes and move
Comment 2 Pedro F. Giffuni freebsd_committer 2020-01-21 22:15:43 UTC
Maintainer timeout: cc'ing mentor for approval.

I can't do very bad since the port is already broken ;).
Comment 3 commit-hook freebsd_committer 2020-01-24 19:02:50 UTC
A commit references this bug:

Author: pfg
Date: Fri Jan 24 19:02:47 UTC 2020
New revision: 523978
URL: https://svnweb.freebsd.org/changeset/ports/523978

Log:
  math/jakarta-commons-math3 update and rename to apache-commons-math

  Unbreak and move as it now an Apache Commons project.

  PR:		241380
  Approved by:	bofh (maintainer)

Changes:
  head/MOVED
  head/math/Makefile
  head/math/apache-commons-math/
  head/math/apache-commons-math/Makefile
  head/math/apache-commons-math/distinfo
  head/math/apache-commons-math/files/patch-build.xml
  head/math/apache-commons-math/pkg-descr
  head/math/jakarta-commons-math3/
Comment 4 Pedro F. Giffuni freebsd_committer 2020-01-24 19:09:45 UTC
Done, thanks.

Thierry didn't give feedback so I didn't mention him as mentor this time.
(As long as a ports committer approves I can procede as src committer.)
Any error is mine.